TechDraw Nuovo gruppo di proiezioni

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page TechDraw NewProjGroup and the translation is 91% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎polski • ‎română • ‎русский
Arrow-left.svg Techdraw-view.png Nuova vista Pagina precedente:
Pagina successiva: Nuova sezione Techdraw-viewsection.png Arrow-right.svg

TechDraw NewProjGroup.svg Proiezioni

Nome nel codice
TechDraw NewProjGroup
Posizione nel menu
TechDraw → Gruppo di proiezioni
Ambiente
TechDraw
Avvio veloce
Introdotto nella versione
-
Vedere anche
Vista, Sezione


Descrizione

Lo strumento Proiezioni crea una proiezione con molte viste di uno o più oggetti 3D. È possibile includere le viste isometriche dei 4 angoli frontali.

Se si desidera produrre una sola vista, non conviene utilizzare Gruppo di proiezioni, meglio usare invece Inserisci Vista nella pagina. Se non si desidera utilizzare il tradizionale modo di visualizzazione first- o third-angle projection, è possibile utilizzare diverse volte Inserisci Vista nella pagina anziché effettuare delle Proiezioni.

TechDraw ProjGroup example.png

Tre viste ortogonali e una vista isometrica di un oggetto solido


Uso

  1. Selezionare uno o più oggetti, Body o Part, nella finestra 3D o nella vista ad albero.
  2. Se nel documento ci sono più pagine di disegno, è anche necessario selezionare la pagina desiderata nella struttura.
  3. Premere il pulsante Techdraw-projgroup.svg Gruppo di proiezioni.
  4. Si apre una finestra in cui è possibile selezionare quali viste devono apparire, la scala del gruppo e altri parametri:

TaskProjGroup.png

Finestra di dialogo delle azioni del gruppo di proiezioni. Il campo centrale indica la direzione corrente della vista con le percentuali degli assi x, y e z.

Dopo aver creato un gruppo di proiezioni è possibile spostare il gruppo nel suo complesso trascinando la vista centrale. È inoltre possibile spostare le singole viste mediante trascinamento.

Proprietà

  • DataAnchor: la vista centrale del gruppo. Normalmente è la vista frontale.
  • DataProjectionType: "Primo angolo" o "Terzo angolo".
  • DataAutoDistribute: se è True (vero), spazia automaticamente le singole viste. Utilizzare false per posizionarle manualmente.
  • DataspacingX: lo spazio orizzontale tra le viste quando esse sono posizionate automaticamente.
  • DataspacingY: lo spazio verticale tra le viste quando esse sono posizionate automaticamente.

Le Proiezioni ereditano nel loro complesso X, Y, ScaleType, Scale e Rotation dalla vista di base.

Le singole viste all'interno del gruppo ereditano tutte le proprietà della vista della parte, ma l'oggetto ProjectionGroup controlla la scala di tutti i suoi membri viste.

La proprietà RotationVector delle singole viste all'interno del gruppo è obsoleta a partire dalla versione 0.19. Utilizzare invece XDirection.

Notare che la casella centrale visualizza la direzione di proiezione corrente della vista principale. Non può essere utilizzata per cambiare la direzione.

Script

Vedere anche: API TechDraw e Nozioni di base sugli script di FreeCAD.

Lo strumento Proiezioni può essere usato nelle macro e dalla console Python. Uno script completo è disponibile nel codice sorgente in "source-dir/src/Mod/TechDraw/TDTest/DProjGroupTest.py".

#make a page
    print("making a page")
    page = FreeCAD.ActiveDocument.addObject('TechDraw::DrawPage','Page')
    FreeCAD.ActiveDocument.addObject('TechDraw::DrawSVGTemplate','Template')
    FreeCAD.ActiveDocument.Template.Template = templateFileSpec
    FreeCAD.ActiveDocument.Page.Template = FreeCAD.ActiveDocument.Template

    #make projection group
    group = FreeCAD.ActiveDocument.addObject('TechDraw::DrawProjGroup','ProjGroup')
    rc = page.addView(group)
    group.Source = [fusion]

    #add Front(Anchor) view
    frontView = group.addProjection("Front")               ##need an Anchor

    #update group
    group.Anchor.Direction = FreeCAD.Vector(0,0,1)
    group.Anchor.RotationVector = FreeCAD.Vector(1,0,0)

    #add more projections
    leftView = group.addProjection("Left")
    topView = group.addProjection("Top")
    rightView = group.addProjection("Right")
    rearView = group.addProjection("Rear")
    BottomView = group.addProjection("Bottom")

    #remove a view from projection group
    iv = group.removeProjection("Left")

Nota di programmazione: Il Gruppo di proiezioni deve sempre essere aggiunto alla Pagina (ad esempio page.addView(group) prima di aggiungere delle proiezioni al Gruppo. Ciò consente al Gruppo di proiezioni di utilizzare i valori dei parametri predefiniti derivati dalla pagina genitore.

Arrow-left.svg Techdraw-view.png Nuova vista Pagina precedente:
Pagina successiva: Nuova sezione Techdraw-viewsection.png Arrow-right.svg